Orders
Get estimated route polyline
Retrieve the route polyline for an estimated route by its ID. The `estimated_route_id` is provided in `eta_change` and `eta_change_v2` webhooks. Use this endpoint to fetch the route polyline that was used for the ETA calculation. The response includes: - The route polyline as a GeoJSON LineString - Start and end locations - Total distance (meters) and duration (seconds) of the route
Retrieve the route polyline for an estimated route by its ID.The `estimated_route_id` is provided in `eta_change` and `eta_change_v2` webhooks.Use this endpoint to fetch the route polyline that was used for the ETA calculation.The response includes:- The route polyline as a GeoJSON LineString- Start and end locations- Total distance (meters) and duration (seconds) of the routeAuthorizationBasic <token>
In: header
Path Parameters
estimated_route_id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/orders/estimated-routes/string"{ "estimated_route_id": "abc123def456", "polyline": { "type": "LineString", "coordinates": [ [ -122.39809, 37.793038 ], [ -122.397, 37.794 ], [ -122.395, 37.795 ] ] }, "start_location": { "type": "Point", "coordinates": [ -122.39809, 37.793038 ] }, "end_location": { "type": "Point", "coordinates": [ -122.395, 37.795 ] }, "distance": 15000, "duration": 1800}{ "detail": {}, "message": "string"}{ "detail": {}, "message": "string"}